%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name filelock
%global debug_package %{nil}

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.16.1
Release:        1.0.1%{?dist}
Summary:        A platform independent file lock.

License:        Unlicense
URL:            https://github.com/tox-dev/filelock
Source0:        %{pypi_source}
Patch0:         1000-add-setup-py.patch
Patch1:         1001-license-string.patch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
# % BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-hatchling
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_pkgversion}.egg-info


%changelog
* Fri Jan 17 2025 Rafael Barron <rafael.barron@oracle.com> - 3.16.1-1.0.1
- Update to 3.16.1

* Thu Sep 19 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.14.0-2
- OLAM-370 Rework setup.py patch

* Tue Jul 23 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 3.14.0-1
- Adds setup.py file patch
- Disables debug output
- Update to 3.14.0
- Rebuild with python 3.11
